gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Object Base class for all canvas items

This is the base class for all canvas items. Canvas items are the drawing elements of a GnomeCanvas. Example items include lines, ellipses, polygons, images, text, curves and even arbitrary GTK+ widgets.

Canvas items use the GObject property system to query and set parameters. Properties are inherited so, for example, a has a property that is inherited from its parent class object . So be sure to check the parent classes of objects when looking for item properties.

To create a new canvas item use the constructor which takes a parent , of the item to create, and a terminated list of name/value GObject properties to set for the new item.

There are several methods to change the drawing stacking order of an item. Call to raise an item a specified number of positions or to lower it. To raise an item to the top call . The methods will put it at the bottom.

To show an item call . Note that canvas item's are shown by default and so do not need to be explicitly shown after creation (contrary to GTK+ widget behavior). Call to hide an item.

To move an item relative to its current position (item coordinates) call or for more complex transforms. can be used to set an item's transform to specific values (not offsets).

To convert between world and item coordinate systems call , and to convert in the other direction call . To get the transform for converting from item to world coordinates use or for converting item to canvas coordinates, .

Handling user input for interactive items is accomplished through a few functions and the signals. To grab the mouse cursor call , it can be ungrabbed with (see of the GTK+ library for details). To grab keyboard focus call . Received events will be signaled via the "event" signal.

Some other useful functions include a reparenting routine, , and a function to query the bounding box of an item (a minumum rectangular area containing all parts of the item), .

- Constructor
  2.24.0.0
  To be added
  To be added
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.24.0.0
  a
  a
  To be added
  To be added
- Method
  2.24.0.0
  System.Void `` The affine transformation set as the current transformation for the item. Makes the item's affine transformation matrix be equal to the specified matrix.
- Method
  2.24.0.0
  System.Void `` The affine transform to combine with the items current transform Combines the specified affine transformation matrix with the item's current transformation.
- Property
  2.24.0.0
  Gnome.Canvas To be added To be added: an object of type 'Gnome.Canvas' To be added
- Event
  2.24.0.0
  GLib.Signal("event")
  Gnome.CanvasEventHandler Signals mouse button clicks, motion, enter/leave, and key press events on canvas items. Use this to create user interactive items. The x and y coordinates in the field have been converted to canvas world coordinates.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDraw", Type=typeof(Gnome.CanvasItem))
  System.Void `` `` `` `` `` a a a a a To be added To be added
- Method
  2.24.0.0
  System.Void `` `` `` `` Return value for the leftmost edge of the bounding box Return value for the upper edge of the bounding box Return value for the rightmost edge of the bounding box Return value for the lower edge of the bounding box Queries the bounding box of a canvas item. The bounds are returned in the coordinate system of the item's parent.
- Method
  2.24.0.0
  System.Int32 `` `` `` a a a To be added a To be added
- Method
  2.24.0.0
  System.Void Makes the specified item take the keyboard focus, so all keyboard events will be sent to it. If the canvas widget itself did not have the focus, it grabs it as well.
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.24.0.0
  System.Void Hides a canvas item. If the item was already hidden, then no action is taken.
- Method
  2.24.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.24.0.0
  System.Void `` `` X coordinate to convert (input/output value). Y coordinate to convert (input/output value). Converts a coordinate pair from item-relative coordinates to world coordinates.

  The parameters and are used as both in and out parameters.

- Method
  2.24.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.24.0.0
  System.Void `` Number of steps to lower the item. Lowers the item in its parent's stack by the specified number of positions. If the number of positions is greater than the distance to the bottom of the stack, then the item is put at the bottom.
- Method
  2.24.0.0
  System.Void Lowers an item to the bottom of its parent's stack.
- Method
  2.24.0.0
  System.Void `` `` Horizontal offset. Vertical offset. Moves a canvas item by creating an affine transformation matrix for translation by using the specified values. This happens in item local coordinate system, so if you have nontrivial transform, it most probably does not do, what you want.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCanvasEvent", Type=typeof(Gnome.CanvasItem))
  System.Boolean `` a Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Property
  2.24.0.0
  GLib.Property("parent")
  Gnome.CanvasItem The parent item the parent item
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverridePoint", Type=typeof(Gnome.CanvasItem))
  System.Double `` `` `` `` `` a a a a a To be added a To be added
- Method
  2.24.0.0
  System.Void `` Number of steps to raise the item. Raises the item in its parent's stack by the specified number of positions. If the number of positions is greater than the distance to the top of the stack, then the item is put at the top.
- Method
  2.24.0.0
  System.Void Raises an item to the top of its parent's stack.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRealize", Type=typeof(Gnome.CanvasItem))
  System.Void To be added To be added
- Method
  2.24.0.0
  System.Void `` a Renders the CanvasItem when using an anti-aliased GnomeCanvas. To be added
- Method
  2.24.0.0
  System.Void `` A canvas group. Changes the parent of the specified item to be the new group. The item keeps its group-relative coordinates as for its old parent, so the item may change its absolute position within the canvas.
- Method
  2.24.0.0
  System.Void `` The svp that needs to be redrawn Request redraw of if in aa mode, or the entire item in in xlib mode.

  This item must contain .

- Method
  2.24.0.0
  System.Void To be used only by item implementations. Requests that the canvas queue an update for the specified item.
- Method
  2.24.0.0
  System.Void Resets the bounding box of a canvas item to an empty rectangle.
- Method
  2.24.0.0
  System.Void Shows a canvas item. If the item was already shown, then no action is taken.
- Method
  2.24.0.0
  System.Void `` The timestamp for ungrabbing the mouse. Ungrabs the item, which must have been grabbed in the canvas, and ungrabs the mouse.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideUpdate", Type=typeof(Gnome.CanvasItem))
  System.Void `` `` `` a a a To be added To be added
- Method
  2.24.0.0
  System.Void `` `` the existing SVP the new SVP Sets the svp to the new value, requesting repaint on what's changed
- Method
  2.24.0.0
  System.Void `` `` `` the old SVP the new SVP a clip path Sets the svp to the new value, clipping if necessary, and requesting repaint on what's changed.
- Method
  2.24.0.0
  System.Void `` `` X coordinate to convert (input/output value). Y coordinate to convert (input/output value). Converts a coordinate pair from world coordinates to item-relative coordinates.

  The parameters and are used as both in and out parameters.